/*
 * deviced
 *
 * copyright (c) 2019 samsung electronics co., ltd. all rights reserved.
 *
 * licensed under the apache license, version 2.0 (the "license");
 * you may not use this file except in compliance with the license.
 * you may obtain a copy of the license at
 *
 * http://www.apache.org/licenses/license-2.0
 *
 * unless required by applicable law or agreed to in writing, software
 * distributed under the license is distributed on an "as is" basis,
 * without warranties or conditions of any kind, either express or implied.
 * see the license for the specific language governing permissions and
 * limitations under the license.
 */

#include <bundle.h>
#include <eventsystem.h>

#include "eventsystem.h"
#include "core/common.h"
#include "log.h"

static bundle *b;

void event_system_send(const char *subject, const char *key, const char *value)
{
	if (!b)
		return;

	_D("subject:%s, key:%s, value:%s", subject, key, value);

	bundle_add_str(b, key, value);
	eventsystem_send_system_event(subject, b);
	bundle_del(b, key);
}

static void __CONSTRUCTOR__ event_system_init(void)
{
	b = bundle_create();
}

static void __DESTRUCTOR__ event_system_exit(void)
{
	if (b)
		bundle_free(b);
}
